Bug 1160137 - CVE-2013-5123 python-virtualenv: python-pip: insecure software download with mirroring support [epel-all]
Summary: CVE-2013-5123 python-virtualenv: python-pip: insecure software download with ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-virtualenv
Version: el6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Milner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=mhayden
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-5123
TreeView+ depends on / blocked
 
Reported: 2014-11-04 06:13 UTC by Kurt Seifried
Modified: 2018-01-08 15:59 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-01-08 15:52:01 UTC


Attachments (Terms of Use)

Description Kurt Seifried 2014-11-04 06:13:01 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Kurt Seifried 2014-11-04 06:13:05 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1066692,1160137

# Description of your update
notes=Security fix for CVE-2013-5123

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1066692,1160137

Comment 2 Major Hayden 2015-06-11 14:38:53 UTC
Would it be possible to bring EPEL 6's virtualenv version to the latest (13.0.3) or perhaps to match the Fedora 22 version (12.0.7)?  I've tested both on a CentOS 6 system and they work well with the existing version of pip included in EPEL 6.

Comment 3 Fedora Update System 2015-07-06 19:37:47 UTC
python-virtualenv-12.0.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-virtualenv-12.0.7-1.el6

Comment 4 Fedora Update System 2015-07-08 17:03:55 UTC
Package python-virtualenv-12.0.7-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-virtualenv-12.0.7-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-7031/python-virtualenv-12.0.7-1.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2018-01-08 15:52:01 UTC
python-virtualenv-12.0.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.